#ifndef DEBBOARD_H
#define DEVBOARD_H

#define MBASE	0x10000000 /* MBAR Base Address */
#define ADRBASE	0x0003F000 /* ADRAM Base address */
#define ADREND	0x003FFFFE /* ADRAM End address */
#define ADRFBASE (ADRBASE+1)
#define PAR		0x0CA /* Pin Assignment Registers offset address */
#define PPDDR	0x1C5 /* Parallel Port Direction Register offset address */
#define PPDAT	0x1C9 /* Parallel Port Data Registers (PP0-PP7) offset address */

void SetPAR(int mode);
void Delay(int factor);
void RunningLight();
void Counter(int size, int write, int dump);
void WritePP(int data);

int  SetADRAM(int start, int end, int data);
void WriteADRAM(int addr, int data);
int  ReadADRAM(int addr, int write);
void SetPPReg(int data);
int  GetPPReg();

#endif